io.agora.rtc

## Class ContentInspectModule

- java.lang.Object
- - io.agora.rtc.ContentInspectModule

-     public class ContentInspectModule
      extends java.lang.Object

  Content inspection module configuration.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `frequency` Inspection frequency
    `private int` | `type` Content inspection type

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContentInspectModule()` Default constructor for ContentInspectModule.
    `ContentInspectModule(int type, int frequency)` Constructs ContentInspectModule with type and frequency.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFrequency()` Gets the inspection frequency.
    `int` | `getType()` Gets the content inspection type.
    `void` | `setFrequency(int frequency)` Sets the inspection frequency.
    `void` | `setType(int type)` Sets the content inspection type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          private int type

      Content inspection type

    - #### frequency

          private int frequency

      Inspection frequency

  - ### Constructor Detail

    - #### ContentInspectModule

          public ContentInspectModule()

      Default constructor for ContentInspectModule.

    - #### ContentInspectModule

          public ContentInspectModule(int type,
                                      int frequency)

      Constructs ContentInspectModule with type and frequency.
      Parameters:
        `type` - Content inspection type
        `frequency` - Inspection frequency

  - ### Method Detail

    - #### getType

          public int getType()

      Gets the content inspection type.
      Returns:
        Content inspection type

    - #### setType

          public void setType(int type)

      Sets the content inspection type.
      Parameters:
        `type` - Content inspection type

    - #### getFrequency

          public int getFrequency()

      Gets the inspection frequency.
      Returns:
        Inspection frequency

    - #### setFrequency

          public void setFrequency(int frequency)

      Sets the inspection frequency.
      Parameters:
        `frequency` - Inspection frequency